Bug 191150 - security/gnupg standard socket option and configure argument
security/gnupg standard socket option and configure argument
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-18 10:06 UTC by Matthieu Volat
Modified: 2014-06-30 22:45 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Volat 2014-06-18 10:06:48 UTC
security/gnupg have an option to use standard sockets (which is disabled by default). The problem is this option do add enable/disable the right configure arguments, it will pass --disable-socket|--enable-socket when it should add --disable-standard-socket|--enable-standard-socket. 

The manual do not describe this option, but ./configure --help does and here is the reference in the configure.ac sources :
 602 # Allows enabling the use of a standard socket by default This is
 603 # gpg-agent's option --[no-]use-standard-socket.  For Windows we force
 604 # the use of this.
 605 #
 606 AC_MSG_CHECKING([whether to use a standard socket by default])
 607 AC_ARG_ENABLE(standard-socket,
 608               AC_HELP_STRING([--enable-standard-socket],
 609                              [use a standard socket for the agent by defaul     t]),
 610               use_standard_socket=$enableval)

Therefore, the default option set is not respected. The following simple patch fixes the issue :

Index: Makefile
===================================================================
--- Makefile	(revision 357858)
+++ Makefile	(working copy)
@@ -46,7 +46,7 @@
 GPGSM_CONFIGURE_ENABLE=	gpgsm
 KDNS_LIB_DEPENDS=	libadns.so:${PORTSDIR}/dns/adns
 KDNS_CONFIGURE_ON=	--with-adns=${LOCALBASE}
-STD_SOCKET_CONFIGURE_ENABLE=	socket
+STD_SOCKET_CONFIGURE_ENABLE=	standard-socket
 NLS_USES=		gettext
 NLS_CONFIGURE_ENABLE=	nls
 SCDAEMON_CONFIGURE_ENABLE=	scdaemon
Comment 1 Mark Linimon freebsd_committer 2014-06-25 03:03:22 UTC
Over to maintainer.
Comment 2 Jun Kuriyama freebsd_committer 2014-06-30 22:45:44 UTC
Committed, thanks!